/***********************************************************

	pic-7seg-88.h
	
	Version 0.9
	2009/01/02

	Copyright (C) 2008-2009, MicroFan Div., PeopleMedia, Inc.
	All rights reserved.

***********************************************************/

#ifndef PIC7SEG88_H_
#define PIC7SEG88_H_

#define	LED1	RA(4)
#define	SOUNDER	RB(3)

#define	SENSOR	AN(3)

#define	SW1	RA(5)
#define	SW2	RB(7)

#define	SW_ACTIVATE	RA(2)

#define	SR_CLK	RA(0)
#define	SR_DAT	RA(1)

#define	VIN		AN(3)
#define	CN2		RB(0)
#define	CN3		AN(5)
#define	CN4		RB(6)

#define	SEG1	RB(1)
#define	SEG2	RB(2)
#define	SEG3	RB(4)
#define	SEG4	RB(5)

#ifdef OPTIMIZE

#define	OPT_SW1	RA5
#define	OPT_SW2	RB7

#define	OPT_SW_ACTIVATE	RA2
#define	OPT_TRIS_SW_ACTIVATE	TRISA2

#define	OPT_SR_CLK	RA0
#define	OPT_SR_DAT	RA1

#define	OPT_TRIS_SR_CLK	TRISA0
#define	OPT_TRIS_SR_DAT	TRISA1

#define	OPT_SEG1	RB1
#define	OPT_SEG2	RB2
#define	OPT_SEG3	RB4
#define	OPT_SEG4	RB5

#define	OPT_TRIS_SEG1	TRISB1
#define	OPT_TRIS_SEG2	TRISB2
#define	OPT_TRIS_SEG3	TRISB4
#define	OPT_TRIS_SEG4	TRISB5

#endif

#endif /*PIC7SEG88_H_*/
