/***********************************************************

	pic-dev-690rl.h
	
	Version 0.90: 2009/1/20

	Copyright (C) 2007-2009, MicroFan Div., PeopleMedia, Inc.
	All rights reserved.

***********************************************************/

#ifndef PICDEV690RL_H_
#define PICDEV690RL_H_

#define	LED1	RC(5)
#define	LED2	RC(6)

#define	SW1	RA(2)
#define	SW2	RA(0)
#define	SW3	RC(7)

#define	SR_CLK	RC(4)
#define	SR_DAT	RA(1)

#define	SEG1	RC(0)
#define	SEG2	RC(1)
#define	SEG3	RC(2)
#define	SEG4	RC(3)


#ifdef OPTIMIZE

#define	OPT_LED1	RC5
#define	OPT_LED2	RC6

#define	OPT_SW1	RA2
#define	OPT_SW2	RA0
#define	OPT_SW3	RC7

#define	OPT_SR_CLK	RC4
#define	OPT_SR_DAT	RA1

#define	OPT_SEG1	RC0
#define	OPT_SEG2	RC1
#define	OPT_SEG3	RC2
#define	OPT_SEG4	RC3

#define	OPT_TRIS_SEG1	TRISC0
#define	OPT_TRIS_SEG2	TRISC1
#define	OPT_TRIS_SEG3	TRISC2
#define	OPT_TRIS_SEG4	TRISC3

#endif

#endif /*PICDEV690RL_H_*/
