/***********************************************************

	pic-dev-886rl.h
	
	Version 0.90: 2009/1/20

	Copyright (C) 2007-2009, MicroFan Div., PeopleMedia, Inc.
	All rights reserved.

***********************************************************/

#ifndef PICDEV886RL_H_
#define PICDEV886RL_H_

#define	LED1	RA(4)
#define	LED2	RA(5)

#define	SW1	RB(0)
#define	SW2	RB(7)
#define	SW3	RB(6)

#define	SR_CLK	RC(1)
#define	SR_DAT	RB(5)

#define	SEG1	RB(1)
#define	SEG2	RB(2)
#define	SEG3	RB(3)
#define	SEG4	RB(4)


#ifdef OPTIMIZE

#define	OPT_LED1	RA4
#define	OPT_LED2	RA5

#define	OPT_SW1	RA5
#define	OPT_SW2	RB7
#define	OPT_SW3	RB6

#define	OPT_SR_CLK	RC1
#define	OPT_SR_DAT	RB5

#define	OPT_SEG1	RB1
#define	OPT_SEG2	RB2
#define	OPT_SEG3	RB3
#define	OPT_SEG4	RB4

#define	OPT_TRIS_SEG1	TRISB1
#define	OPT_TRIS_SEG2	TRISB2
#define	OPT_TRIS_SEG3	TRISB3
#define	OPT_TRIS_SEG4	TRISB4

#endif

#endif /*PICDEV886RL_H_*/
