/***********************************************************

	pic-game-2sx.h
	
	Version 0.90: 2009/1/20

	Copyright (C) 2007-2009, MicroFan Div., PeopleMedia, Inc.
	All rights reserved.

***********************************************************/

#ifndef PICGAME2SX_H_
#define PICGAME2SX_H_

#define	LED1	RA(4)
#define	LED2	RC(1)

#define	SW1	RB(4)
#define	SW2	RB(5)
#define	SW3	RB(6)
#define	SW4	RB(7)

#define	SOUNDER	RC(2)

#define	SR_CLK	RA(5)
#define	SR_DAT	RA(2)

#define	CMN1	RC(0)
#define	CMN2	RB(1)
#define	CMN3	RB(2)
#define	CMN4	RC(3)
#define	CMN5	RC(4)
#define	CMN6	RC(5)
#define	CMN7	RC(6)
#define	CMN8	RC(7)

#define	VIN		AN(3)
#define	CN2		RB(0)
#define	CN3		AN(5)
#define	CN4		RB(6)


#ifdef OPTIMIZE

#define	OPT_LED1	RA4
#define	OPT_LED2	RC1

#define	OPT_SW1	RA4
#define	OPT_SW2	RB5
#define	OPT_SW3	RB6
#define	OPT_SW4	RB7

#define	OPT_SOUNDER	RC2

#define	OPT_SR_CLK	RA5
#define	OPT_SR_DAT	RA2

#define	OPT_CMN1	RC0
#define	OPT_CMN2	RB1
#define	OPT_CMN3	RB2
#define	OPT_CMN4	RC3
#define	OPT_CMN5	RC4
#define	OPT_CMN6	RC5
#define	OPT_CMN7	RC6
#define	OPT_CMN8	RC7

#define	OPT_TRIS_SEG1	TRISB1
#define	OPT_TRIS_SEG2	TRISB2
#define	OPT_TRIS_SEG3	TRISB3
#define	OPT_TRIS_SEG4	TRISB4

#endif

#endif /*PICGAME2SX_H_*/
