/***********************************************************

	pic16seg7.h
	
	Version 0.90: 2009/10/16

	Copyright (C) 2007-2009, MicroFan Div., PeopleMedia, Inc.
	All rights reserved.

***********************************************************/

#ifndef PIC16SEG7_H_
#define PIC16SEG7_H_

/* 7ZOgLED̕\ */
#ifdef PIC_PICO_3S
#define SEG7_DIGITS 2
#else
#define SEG7_DIGITS 4
#endif

/***********************************************************
	VZOgLED\pAPI
***********************************************************/

/*--------------------------------------------------------*/
#if defined(PIC_PICO_3S)
void SEG7_initDefault(void) ;
#else
void SEG7_init(byte, byte, byte, byte, byte, byte) ;

#if defined(SR_DAT)
#define SEG7_initDefault() SEG7_init(SR_DAT, SR_CLK, SEG1, SEG2, SEG3, SEG4)
#endif

#endif

/*--------------------------------------------------------*/
void SEG7_write(int, byte) ;

#define	SEG7_INT	0
#define	SEG7_BIN	2
#define	SEG7_OCT	8
#define	SEG7_HEX	16

#define	SEG7_FULL	10

/*--------------------------------------------------------*/
void SEG7_setDigit(char, char) ;

#define	SEG7_BLANK	16
#define	SEG7_MINUS	17
#define	SEG7_H		18
#define	SEG7_L		19
#define	SEG7_HIGH	20
#define	SEG7_LOW	21


/*--------------------------------------------------------*/
#if defined(PIC_7SEG_88)
byte SW_read(byte) ;

/* 荞ݒɗp */
void isr_SW_update() ;
#endif

/*--------------------------------------------------------*/
/* _Ci~bN\̍XVF[U͊{IɗpȂ */
void isr_SEG7_update() ;

#endif /*PIC16SEG7_H_*/
