/***********************************************************

	pic-pico-2s.h
	
	Version 0.90: 2009/1/20

	Copyright (C) 2007-2009, MicroFan Div., PeopleMedia, Inc.
	All rights reserved.

***********************************************************/

#ifndef PICPICO2S_H_
#define PICPICO2S_H_

#define	SW1	RB(0)
#define	SW2	RB(6)
#define	SW3	RA(5)

#define	SOUNDER	RB(3)

#define	SR_CLK	RB(2)
#define	SR_DAT	RB(1)

#define	CMN1	RA(0)
#define	CMN2	RA(1)
#define	CMN3	RA(2)
#define	CMN4	RA(3)
#define	CMN5	RA(4)
#define	CMN6	RB(5)
#define	CMN7	RA(6)
#define	CMN8	RA(7)

#ifdef OPTIMIZE

#define	OPT_SW1	RB0
#define	OPT_SW2	RB6
#define	OPT_SW3	RA5

#define	OPT_SOUNDER	RB3

#define	OPT_SR_CLK	RB2
#define	OPT_SR_DAT	RB1

#define	OPT_CMN1	RA0
#define	OPT_CMN2	RA1
#define	OPT_CMN3	RA2
#define	OPT_CMN4	RA3
#define	OPT_CMN5	RA4
#define	OPT_CMN6	RB5
#define	OPT_CMN7	RA6
#define	OPT_CMN8	RA7

#endif

#endif /*PICPICO2S_H_*/
