/***********************************************************

	pic-pico-3s.h
	
	Version 0.90: 2009/1/20

	Copyright (C) 2007-2009, MicroFan Div., PeopleMedia, Inc.
	All rights reserved.

***********************************************************/

#ifndef PICPICO3S_H_
#define PICPICO3S_H_

#define	SW1	RB(0)
#define	SW2	RB(6)
#define	SW3	RA(5)

#define	SOUNDER	RB(3)

#define	CMN1	RB(1)
#define	CMN2	RB(2)

#define	SEG1	RA(0)
#define	SEG2	RA(1)
#define	SEG3	RA(2)
#define	SEG4	RA(3)
#define	SEG5	RA(4)
#define	SEG6	RB(5)
#define	SEG7	RA(6)
#define	SEG8	RA(7)


#ifdef OPTIMIZE

#define	OPT_SW1	RB0
#define	OPT_SW2	RB6
#define	OPT_SW3	RA5

#define	OPT_SOUNDER	RB3

#define	OPT_CMN1	RB1
#define	OPT_CMN2	RB2

#define	OPT_SEG1	RA0
#define	OPT_SEG2	RA1
#define	OPT_SEG3	RA2
#define	OPT_SEG4	RA3
#define	OPT_SEG5	RA4
#define	OPT_SEG6	RB5
#define	OPT_SEG7	RA6
#define	OPT_SEG8	RA7

#endif

#endif /*PICPICO3S_H_*/
