#include "picsys16.h"

void
setup()
{
	pinMode(CN2, OUT_SERVO1) ;

	SEG7_initDefault() ;
	SW_init() ;
}

void
loop()
{
    int v ;

#if defined(MOVE_AUTO)
    if (millis() & 0x400)
        v = -100 ;
    else
        v = 100 ;
#else
    if (SW_read(4) == LOW)
        v = -100 ;
    if (SW_read(5) == LOW)
        v = 100 ;
    if (SW_read(3) == LOW)
        v = 0 ;
#endif

    digitalWrite(CN2, v) ;
    
    SEG7_write(v, SEG7_INT) ;
//    SEG7_write(analogRead(SENSOR), SEG7_INT) ;

 	delayMilliseconds(10) ;
}