#include "picsys16.h"

void
setup()
{
	pinMode(LED1, OUTPUT) ;
	pinMode(LED2, OUTPUT) ;
	
	CLCD_initDefault() ;
	CLCD_putrs("PIC-DEV-690RL") ;
	CLCD_setCursor(0,1) ;
	CLCD_putrs("SERIAL-CLCD") ;

	delayMilliseconds(3000) ;
	CLCD_clear() ;
	CLCD_setCursor(0, 1) ;
	CLCD_putrs("Ready!") ;
	CLCD_setCursor(0, 0) ;
    
	Serial_begin(9600) ;
}

void
loop()
{
    int c ;
    
    if (Serial_available()) {
        c = Serial_getc() ;
        CLCD_putc(c) ;
		while (Serial_busy())
			;
		Serial_putc(c) ;
		if (c == '\r') {
    		CLCD_clear() ;
		    while (Serial_busy())
			    ;
		    Serial_putc('\n') ;
        }  		
 	    digitalWrite(LED2, !digitalRead(LED2)) ;
    }    
    
 	digitalWrite(LED1, ((int)millis()) & 0x200) ;
}