/***********************************************************

	pic16util.c

	Version 0.90: 2009/10/16

	Copyright (C) 2008-2009, MicroFan Div., PeopleMedia, Inc.
	All rights reserved.

***********************************************************/

#include "picsys16.h"


char _fmtbuf[20] ;


/***********************************************************
	l->ϊ֐
***********************************************************/

char *
ltoa(char buf[], long n, int base)
{
	char rbuf[12] ;
	char i, j ;
	byte minus = FALSE ;

	/* 0͓ */
	if (n == 0) {
		buf[0] = '0';
		buf[1] = '\0';

		return buf;
	}

	/* 10ȉꍇ̂ݕ̒l̏ */
	if ((base == 10) && (n < 0)) {
		minus = TRUE ;
		n = -n ;
	}

	/* W16rbgɐ؂藎Ƃ */
	if (base < 8)
		n &= 0xffff ;

	for (i = 0; n > 0; i++) {
		j = n % base;
		if (j > 9) {
			rbuf[i] = j + ('A' - 10) ;
		} else {
			rbuf[i] = j + '0' ;
		}
		n /= base;
	}

	j = 0 ;
	if (minus)
		buf[j++] = '-' ;

	while (i > 0)
		buf[j++] = rbuf[--i] ;

	buf[j] = '\0' ;

	return buf ;
}

